summaryrefslogtreecommitdiff
path: root/dev-python/httpstat
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/httpstat')
-rw-r--r--dev-python/httpstat/Manifest1
-rw-r--r--dev-python/httpstat/files/httpstat-1.2.1-gentoo-tests.patch30
-rw-r--r--dev-python/httpstat/httpstat-1.2.1-r1.ebuild28
-rw-r--r--dev-python/httpstat/metadata.xml13
4 files changed, 72 insertions, 0 deletions
diff --git a/dev-python/httpstat/Manifest b/dev-python/httpstat/Manifest
new file mode 100644
index 000000000000..0e2667a7ad50
--- /dev/null
+++ b/dev-python/httpstat/Manifest
@@ -0,0 +1 @@
+DIST httpstat-1.2.1.tar.gz 97012 BLAKE2B 2c2ae97fe7c5f6563b3b29e8f40ec18ca62ab0efecd81bda404a57f594574d1647b9f72bea644a3e934670c0d142e4e1f9b866ed6cf215cd4183d6f574b252a5 SHA512 58636eacc7ad57fc6ab5fe477117547c515828e1dd50980d7c1d7c70d2fd04a8539339331bbf4e8a9ac9fea199626a45e7c3e2e458e11b78fb848027ff7c6a76
diff --git a/dev-python/httpstat/files/httpstat-1.2.1-gentoo-tests.patch b/dev-python/httpstat/files/httpstat-1.2.1-gentoo-tests.patch
new file mode 100644
index 000000000000..2ce199a94b75
--- /dev/null
+++ b/dev-python/httpstat/files/httpstat-1.2.1-gentoo-tests.patch
@@ -0,0 +1,30 @@
+- Testscript doesn't need to run tests for multiple python implementations,
+ PM will take care of that.
+
+- Disabling test which requires specific locales.
+
+--- a/httpstat_test.sh
++++ b/httpstat_test.sh
+@@ -19,8 +19,7 @@ function title() {
+ http_url="google.com"
+ https_url="https://http2.akamai.com"
+
+-for pybin in python python3; do
+-#for pybin in python; do
++for pybin in python; do
+ echo
+ echo "# Test in $pybin"
+
+@@ -40,9 +39,9 @@ for pybin in python python3; do
+ main_silent $https_url
+ assert_exit 0
+
+- title "comma decimal language (ru_RU)"
+- LC_ALL=ru_RU main_silent $http_url
+- assert_exit 0
++ #title "comma decimal language (ru_RU)"
++ #LC_ALL=ru_RU main_silent $http_url
++ #assert_exit 0
+
+ title "HTTPSTAT_DEBUG"
+ HTTPSTAT_DEBUG=true main $http_url | grep -q 'HTTPSTAT_DEBUG=true'
diff --git a/dev-python/httpstat/httpstat-1.2.1-r1.ebuild b/dev-python/httpstat/httpstat-1.2.1-r1.ebuild
new file mode 100644
index 000000000000..8b03fb8c28d9
--- /dev/null
+++ b/dev-python/httpstat/httpstat-1.2.1-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="httpstat visualizes cURL statistics in a way of beauty and clarity"
+HOMEPAGE="https://github.com/reorx/httpstat"
+SRC_URI="https://github.com/reorx/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="net-misc/curl:*"
+
+# Requires access to google.com and http2.akamai.com
+RESTRICT="test"
+
+PATCHES=( "${FILESDIR}"/${PN}-1.2.1-gentoo-tests.patch )
+
+python_test() {
+ ./httpstat_test.sh || die
+}
diff --git a/dev-python/httpstat/metadata.xml b/dev-python/httpstat/metadata.xml
new file mode 100644
index 000000000000..a65b88e0a958
--- /dev/null
+++ b/dev-python/httpstat/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>whissi@gentoo.org</email>
+ <name>Thomas Deutschmann</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/reorx/httpstat/issues</bugs-to>
+ <remote-id type="github">reorx/httpstat</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>